"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const snakecase_keys_1 = __importDefault(require("snakecase-keys"));
const camelcase_keys_1 = __importDefault(require("camelcase-keys"));
class BaseTransformer {
    static fetchCollection(items, camelCaseKey) {
        return items.map((item) => this.fetch(item, camelCaseKey));
    }
    static sendCollection(items, snakeCaseKey) {
        return items.map((item) => this.send(item, snakeCaseKey));
    }
    static fetch(item, camelCaseKey) {
        if (camelCaseKey) {
            return camelcase_keys_1.default(item, { deep: true });
        }
        return item;
    }
    static send(item, snakeCaseKey) {
        if (snakeCaseKey) {
            return snakecase_keys_1.default(item);
        }
        return item;
    }
}
exports.default = BaseTransformer;
